HCONSOLE(1)

NAME
hconsole - Interactive Python console for using Hatari's remote API

SYNOPSIS
hconsole.py [[consoleoptions] [commandfile] --] [hatarioptions]

DESCRIPTION
Hconsole is a Python script that invokes Hatari and then provides an interactive shell (with full readline editing capabilities) for executing Hatari remote API commands.

It can be useful for first exploring Hatari's remote API usage interactively and then writing scripts that somehow automate your Hatari usage. They can invoke hconsole functionality simply by doing "import hconsole" and calling appropriate methods (see example.py coming with hconsole).

USAGE
Normally hconsole forwards all of its arguments to Hatari instance it invoked. If you want to give arguments for hconsole itself, you need to add '--' argument after the hconsole arguments and before the arguments going to Hatari.

If you give a file name as hconsole argument, commands in it will be read and executed through Hatari's remote API before you get into hconsole interactive shell.

Hconsole accepts following options:

--exit
    Exit after starting Hatari and parsing arguments.

--help, -h
    Show command line help.

EXAMPLES
Start Hatari with all of the given arguments:
    hconsole.py --monitor mono -d test/

Start Hatari without extra arguments, execute commands from the given commands.txt file, exit after the file ends:
    hconsole.py commands.txt --exit --

FILES
By default hconsole and its examples are installed under the /usr/local/share/hatari/hconsole/ directory.

SEE ALSO
hatari(1), hatariui(1)

AUTHOR
Written by Eero Tamminen <oak at helsinkinet fi>.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

NO WARRANTY
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.